#version 3.0
global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "textures.inc"
#include "user.inc"
#include "glass.inc"



fog { distance 50
        colour rgb <0.4, 0.425, 0.5>
        fog_type 2
        fog_offset 0
        fog_alt 10 }

fog { distance 750
        colour rgb <0.3, 0.325, 0.45>
        fog_type 2
        fog_offset 0
        fog_alt 150 }


light_source { <-150000, 70000, 150000> color rgb <0.25, 0.3, 0.45> }

// camera aerienne
camera {
    direction 1.0*z
    location <100, 200.12, -610>
    look_at <100, 100, -25>
       }


#declare STARTEX = texture {
     finish { ambient 2.0 diffuse 0.0 }
     pigment {
       granite
       color_map {
         [ 0.00 0.85 color Black color Black   ]
         [ 0.85 0.89 color Gray20 color Gray40 ]
         [ 0.89 0.91 color Gray40 color Gray60 ]
         [ 0.91 0.93 color Gray60 color Gray80 ]
         [ 0.93 0.95 color Gray80 color Gray95 ]
         [ 0.95 0.99 color Gray95 color White  ]
         [ 0.99 1.00 color Black color Black   ]
                 } }
     scale 1
     }

sphere { <0, 0, 0>, 1.0
         texture { STARTEX  scale 0.03 }// end texture
         scale 1000000
         hollow
       }


// The floor
plane { y, -1
    pigment { color rgb <0.2, 0.3, 0.4 > }
    finish { ambient 0.1 diffuse 1 }
}

//collines 2me plan
height_field {  png "d:\pv3d\inc\hfgil01.png"

     texture {  pigment { color rgb < 1, 0.9, 0.8 > }
                finish  { diffuse 0.8 ambient rgb <0.3, 0.225, 0.1> }
             }

    scale < 4000, 50, 4000 >
    translate < -2000, 0.01, -2000 >
    rotate < 0, 182, 0 >

}

//la montagne

height_field {  png "d:\pv3d\inc\hfmont03.png"
    scale < 10000, 1000, 10000 >
    translate < -5000, -100, 500 >
    rotate < 0, 0, 0 >

    texture {  pigment { granite
                         color_map { [ 0.100 rgb <0.4, 0.325, 0.3> ]
                                     [ 0.900 rgb <0.7, 0.625, 0.6> ] }
                         turbulence <0.800, 0.000, 0.500>
                         scale < 4,1,1 >
                       }
               finish  { diffuse 3 ambient rgb <0.3, 0.2, 0.1> }
               scale < 500, 200, 500 >
            }

    texture {  pigment { granite
                         color_map { [ 0.300 rgbf <1.0, 0.90, 0.85, 0.8> ]
                                     [ 0.400 rgbf <1.0, 0.90, 0.85, 1.0> ] }
                         turbulence <0.600, 1.300, 0.900>
                         octaves 6
                         lambda 3.900
                         scale 0.5
                       }
               finish  { diffuse 3 ambient <0.3, 0.2, 0.1> }
               scale < 500, 200, 500 >
             }
}

//monts les + lointains

height_field {  png "d:\pv3d\inc\hfgil07.png"
    scale < 15000, 750, 15000 >
    translate < -7500, -50, -7500 >
    rotate < 0, 258, 0 >

    texture {  pigment { granite
                         color_map { [ 0.100 rgb <0.4, 0.325, 0.3> ]
                                     [ 0.900 rgb <0.7, 0.625, 0.6> ] }
                         turbulence <0.800, 0.000, 0.500>
                         scale < 4,1,1 >
                       }
               finish  { diffuse 3 ambient rgb <0.1, 0.1, 0.1> }
               scale < 500, 200, 500 >
            }

    texture {  pigment { granite
                         color_map { [ 0.300 rgbf <1.0, 0.90, 0.85, 0.8> ]
                                     [ 0.400 rgbf <1.0, 0.90, 0.85, 1.0> ] }
                         turbulence <0.600, 1.300, 0.900>
                         octaves 6
                         lambda 3.900
                         scale 0.5
                       }
               finish  { diffuse 3 ambient <0.9, 0.1, 0.1> }
               scale < 500, 200, 500 >
             }
}

// fractale julia

object {
  julia_fractal {
    < 0.784, 0.992, 0.084, -0.12 >
    quaternion
    sqr
    max_iteration 6
    precision 30
    slice <0,0,0,1>,0.0
                }
    scale < 250, 110, 110 >
    rotate < 0, 60, 0 >
    translate < 100, 180, -425 >
    texture {
        pigment { color rgbf < 1, 1, 1, 1 > }
        finish {
             ambient 0
             diffuse 0
             reflection 0.5
             refraction 1
             ior 1.45
             specular 0.8
             roughness 0.001
             phong 0.5
             phong_size 200
               }
            }
        }

// le lit

object { #include "lit.inc"
         scale 1.5
         rotate < 5, -25, 20 >
         translate < 100.5, 197.75, -604 >
       }

light_source {
  0*x                           // light's position (translated below)
  color rgb <0.2,0.3,0.4>       // light's color
  spotlight                     // this kind of light source
  translate <130, 220, -625>    // <x y z> position of light
  point_at <100, 198, -604>     // direction of spotlight
  radius 40                     // hotspot (inner, in degrees)
  tightness 50                  // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 60                    // intensity falloff radius (outer, in degrees)
  fade_distance 50
  fade_power 1
}




